<app-menu></app-menu>

    <div class="hero-wrap" style="background-image: url('assets/images/fondo_futbol.png');" data-stellar-background-ratio="0.5">
        <div class="overlay"></div>
        <div class="container">
          <div class="row no-gutters slider-text align-items-center justify-content-center" data-scrollax-parent="true">
            <div class="col-md-7 text-center" data-scrollax=" properties: { translateY: '70%' }">
              <!-- ftco-animate -->
                <img class="mb-4 img-center" data-scrollax="properties: { translateY: '30%', opacity: 1.6 }" src="assets/images/ayudemos.png" style="width:350px;margin-top:80px" alt="">
                <h1 class="mb-3 bread titulo-pagina" data-scrollax="properties: { translateY: '30%', opacity: 1.6 }">REGÍSTRATE</h1>
              <h3 class="mb-3 bread" data-scrollax="properties: { translateY: '30%', opacity: 1.6 }">En Construcción</h3>
            </div>
          </div>
        </div>
      </div>
      <app-campaing-info></app-campaing-info>
    
      <section class="container form-profe-web">
        <h2 class="mb-3">Profe, complete el formulario</h2>
        <form class="example-form" [formGroup]="registroForm" (ngSubmit)="onSubmit()" novalidate>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Nombre</mat-label>
              <input matInput formControlName="nameprofe" ngDefaultControl>
              <mat-error *ngIf="errorHandling('nameprofe', 'required')">
                Nombre es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>

            <td><mat-form-field class="example-full-width">
              <mat-label>Apellido</mat-label>
              <input matInput formControlName="lastname">
              <mat-error *ngIf="errorHandling('lastname', 'required')">
                Apellido es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <!-- <td><mat-form-field class="example-full-width">
                <mat-label>Sexo</mat-label>
                <mat-select [(ngModel)]="selectedValueGender" name="gender">
                  <mat-option *ngFor="let g of gender" [value]="g.value">
                    {{g.viewValue}}
                  </mat-option>
                </mat-select>
                <mat-error *ngIf="errorHandling('num_movil', 'required')">
                  Sexo es <strong>requerido</strong>
                </mat-error>
            </mat-form-field></td> -->
            
            <!-- <td><mat-form-field class="example-full-width">
              <mat-label>Sexo</mat-label>
              <input matInput formControlName="gender">
              <mat-error *ngIf="errorHandling('gender', 'required')">
                Sexo es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td> -->

            <td style="width: 50%;">
              <select class="selectpicker example-full-width select-profes" formControlName="gender">
                <option value="Masculino">Masculino</option>
                <option value="Femenino">Femenino</option>
              </select>              
            </td>

            <td><mat-form-field class="example-full-width">
              <mat-label>Cédula</mat-label>
              <input type="number" matInput placeholder="Ej. 19123456" formControlName="dni">
              <mat-error  *ngIf="errorHandling('dni', 'required')">
                Cédula es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Nº Carnet CEFV</mat-label>
              <input type="number" matInput placeholder="Ej. 1234" formControlName="card">
            </mat-form-field></td>

            <td>
              <mat-form-field class="example-full-width">
                <mat-label>Email</mat-label>
                <input matInput placeholder="Ej. profe@gmail.com" formControlName="email">
                <mat-error *ngIf="errorHandling('email', 'email') && !errorHandling('email', 'required')">
                  Por favor, introduce un correo electrónico válido
                </mat-error>
                <mat-error  *ngIf="errorHandling('email', 'required')">
                  Email es <strong>requerido</strong>
                </mat-error>
              </mat-form-field>
            </td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <mat-form-field class="example-full-width">
              <mat-label>Teléfono Residencia</mat-label>
              <span matPrefix>+58 &nbsp;</span>
              <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_home">
            </mat-form-field>
            <td>
              <mat-form-field class="example-full-width">
                <mat-label>Teléfono Móvil</mat-label>
                <span matPrefix>+58 &nbsp;</span>
                <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_movil">
                <mat-error *ngIf="errorHandling('num_movil', 'required')">
                  Teléfono móvil es <strong>requerido</strong>
                </mat-error>
              </mat-form-field>
            </td>
          </tr></table>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Ciudad</mat-label>
              <input matInput placeholder="Ej. Puerto Píritu" formControlName="city">
              <mat-error *ngIf="errorHandling('city', 'required')">
                Ciudad es <strong>requerida</strong>
              </mat-error>
            </mat-form-field></td>

            <td><mat-form-field class="example-full-width">
              <mat-label>Estado</mat-label>
              <input matInput placeholder="Ej. Anzoátegui" formControlName="state">
              <mat-error *ngIf="errorHandling('state', 'required')">
                Estado es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>
          <table class="example-full-width" cellspacing="0"><tr>
            <mat-slide-toggle (change)="activarProfe($event);" formControlName="activeprofe">¿Actualmente se encuentra activo como entrenador de alguna institución?</mat-slide-toggle>
          </tr></table>
        
          <section class="profeActivo" *ngIf="registroForm.value.activeprofe">
            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Academia/Escuela</mat-label>
                <input matInput formControlName="school">
                <mat-error *ngIf="errorHandling('school', 'required') && registroForm.value.activeprofe">
                  Estado es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
              <td><mat-form-field class="example-full-width">
                <mat-label>Persona de contacto de la Academia/Escuela</mat-label>
                <input matInput formControlName="contact">
                <mat-error *ngIf="errorHandling('contact', 'required') && registroForm.value.activeprofe">
                  Contacto es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>

            <table class="example-full-width" cellspacing="0"><tr>
              <td>
                <mat-form-field class="example-full-width">
                  <mat-label>Teléfono de Contacto</mat-label>
                  <span matPrefix>+58 &nbsp;</span>
                  <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_contact">
                  <mat-error *ngIf="errorHandling('num_contact', 'required') && registroForm.value.activeprofe">
                    Teléfono contacto es <strong>requerido</strong>
                  </mat-error>
                </mat-form-field>
              </td>
              <td><mat-form-field class="example-full-width">
                <mat-label>Asociación de Fútbol</mat-label>
                <input matInput formControlName="asociacion">
                <mat-error *ngIf="errorHandling('asociacion', 'required') && registroForm.value.activeprofe">
                  Asociación de fútbol es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>

            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Categoría a la que entrena</mat-label>
                <input matInput formControlName="category">
                <mat-error *ngIf="errorHandling('category', 'required') && registroForm.value.activeprofe">
                  Categoría es <strong>requerida</strong>
                </mat-error>
              </mat-form-field></td>
              <td><mat-form-field class="example-full-width">
                <mat-label>Años de Trayectoria</mat-label>
                <input type="number" matInput formControlName="trayectoria">
              </mat-form-field></td>
            </tr></table>
          </section>
          <div class="form-group btn-form-profe">
            <input type="submit" value="Enviar Formulario" class="btn btn-white py-3 px-5">
          </div>
        
        </form>
      </section>

      <section class="container form-profe-mobile">
        <h2 class="mb-3">Profe, complete el formulario</h2>
        <form class="example-form" [formGroup]="registroForm" (ngSubmit)="onSubmit()" novalidate>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Nombre</mat-label>
              <input matInput formControlName="nameprofe" ngDefaultControl>
              <mat-error *ngIf="errorHandling('nameprofe', 'required')">
                Nombre es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Apellido</mat-label>
              <input matInput formControlName="lastname">
              <mat-error *ngIf="errorHandling('lastname', 'required')">
                Apellido es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <td style="width: 100%;">
              <select class="selectpicker example-full-width select-profes" formControlName="gender">
                <option value="Masculino">Masculino</option>
                <option value="Femenino">Femenino</option>
              </select>              
            </td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Cédula</mat-label>
              <input type="number" matInput placeholder="Ej. 19123456" formControlName="dni">
              <mat-error  *ngIf="errorHandling('dni', 'required')">
                Cédula es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Nº Carnet CEFV</mat-label>
              <input type="number" matInput placeholder="Ej. 1234" formControlName="card">
            </mat-form-field></td>
          </tr></table>


            <table class="example-full-width" cellspacing="0"><tr>
            <td>
              <mat-form-field class="example-full-width">
                <mat-label>Email</mat-label>
                <input matInput placeholder="Ej. profe@gmail.com" formControlName="email">
                <mat-error *ngIf="errorHandling('email', 'email') && !errorHandling('email', 'required')">
                  Por favor, introduce un correo electrónico válido
                </mat-error>
                <mat-error  *ngIf="errorHandling('email', 'required')">
                  Email es <strong>requerido</strong>
                </mat-error>
              </mat-form-field>
            </td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <td>
            <mat-form-field class="example-full-width">
              <mat-label>Teléfono Residencia</mat-label>
              <span matPrefix>+58 &nbsp;</span>
              <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_home">
            </mat-form-field>
          </td>
            </tr></table>


          <table class="example-full-width" cellspacing="0"><tr>
            <td>
              <mat-form-field class="example-full-width">
                <mat-label>Teléfono Móvil</mat-label>
                <span matPrefix>+58 &nbsp;</span>
                <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_movil">
                <mat-error *ngIf="errorHandling('num_movil', 'required')">
                  Teléfono móvil es <strong>requerido</strong>
                </mat-error>
              </mat-form-field>
            </td>
          </tr></table>
        
          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Ciudad</mat-label>
              <input matInput placeholder="Ej. Puerto Píritu" formControlName="city">
              <mat-error *ngIf="errorHandling('city', 'required')">
                Ciudad es <strong>requerida</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>

          <table class="example-full-width" cellspacing="0"><tr>
            <td><mat-form-field class="example-full-width">
              <mat-label>Estado</mat-label>
              <input matInput placeholder="Ej. Anzoátegui" formControlName="state">
              <mat-error *ngIf="errorHandling('state', 'required')">
                Estado es <strong>requerido</strong>
              </mat-error>
            </mat-form-field></td>
          </tr></table>
          <table class="example-full-width" cellspacing="0"><tr>
            <mat-slide-toggle class="textolargo-mobile" (change)="activarProfe($event);" formControlName="activeprofe">
              ¿Actualmente se encuentra activo <br> como entrenador de alguna institución?</mat-slide-toggle>
          </tr></table>
        
          <section class="profeActivo" *ngIf="registroForm.value.activeprofe">
            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Academia/Escuela</mat-label>
                <input matInput formControlName="school">
                <mat-error *ngIf="errorHandling('school', 'required') && registroForm.value.activeprofe">
                  Estado es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>

            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Persona de contacto de la Academia/Escuela</mat-label>
                <input matInput formControlName="contact">
                <mat-error *ngIf="errorHandling('contact', 'required') && registroForm.value.activeprofe">
                  Contacto es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>

            <table class="example-full-width" cellspacing="0"><tr>
              <td>
                <mat-form-field class="example-full-width">
                  <mat-label>Teléfono de Contacto</mat-label>
                  <span matPrefix>+58 &nbsp;</span>
                  <input type="tel" matInput placeholder="0422 1234 1234" formControlName="num_contact">
                  <mat-error *ngIf="errorHandling('num_contact', 'required') && registroForm.value.activeprofe">
                    Teléfono contacto es <strong>requerido</strong>
                  </mat-error>
                </mat-form-field>
              </td>
            </tr></table>
            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Asociación de Fútbol</mat-label>
                <input matInput formControlName="asociacion">
                <mat-error *ngIf="errorHandling('asociacion', 'required') && registroForm.value.activeprofe">
                  Asociación de fútbol es <strong>requerido</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>

            <table class="example-full-width" cellspacing="0"><tr>
              <td><mat-form-field class="example-full-width">
                <mat-label>Categoría a la que entrena</mat-label>
                <input matInput formControlName="category">
                <mat-error *ngIf="errorHandling('category', 'required') && registroForm.value.activeprofe">
                  Categoría es <strong>requerida</strong>
                </mat-error>
              </mat-form-field></td>
            </tr></table>
            <table class="example-full-width" cellspacing="0"><tr>  
              <td><mat-form-field class="example-full-width">
                <mat-label>Años de Trayectoria</mat-label>
                <input type="number" matInput formControlName="trayectoria">
              </mat-form-field></td>
            </tr></table>
          </section>
          <div class="form-group btn-form-profe">
            <input type="submit" value="Enviar Formulario" class="btn btn-white py-3 px-5">
          </div>
        
        </form>
      </section>
      

      
<app-contact></app-contact>
<app-footer></app-footer>